com.google.gwt.user.client

## Class BaseListenerWrapper.WrapWindowResize

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<WindowResizeListener>
  - - com.google.gwt.user.client.BaseListenerWrapper.WrapWindowResize

- All Implemented Interfaces:
    ResizeHandler, EventHandler
  Enclosing class:
    BaseListenerWrapper<T>

      static class BaseListenerWrapper.WrapWindowResize
      extends BaseListenerWrapper<WindowResizeListener>
      implements ResizeHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `BaseListenerWrapper.WrapWindowClose, BaseListenerWrapper.WrapWindowResize, BaseListenerWrapper.WrapWindowScroll`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `listener`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(WindowResizeListener listener)` Deprecated.
    `void` | `onResize(ResizeEvent event)` Fired when the widget is resized.
    `static void` | `remove(HandlerManager manager, WindowResizeListener listener)`

    - ### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `baseRemove, getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          @Deprecated
          public static void add(WindowResizeListener listener)

      Deprecated.

    - #### remove

          public static void remove(HandlerManager manager,
                                    WindowResizeListener listener)

    - #### onResize

          public void onResize(ResizeEvent event)

      Description copied from interface: `ResizeHandler`
      Fired when the widget is resized.
      Specified by:
        `onResize` in interface `ResizeHandler`
      Parameters:
        `event` - the event